import discord
from discord.ext.commands import Bot

token = open("../token.txt")

cogs = ["Modules.TMC.autoReply.Join", "Modules.TMC.autoReply.Leave",
        "Modules.TMC.McRoll", "Modules.TMC.ParseForIssues", "Modules.TMC.doym"]

prefix = 'o!'
intents = discord.Intents().all()

"""
tokens = open("tokens.txt", 'r')
tokens = tokens.readlines()
bot_running = input("Would you like to run the test bot[T] or the default[D] :: ")
if bot_running == 'T':
    token = tokens[0].rstrip()
elif bot_running == 'D':
    token = tokens[1].rstrip()
tokens = ''
"""
client = Bot(command_prefix=prefix, intents=intents)
client.remove_command("help")


@client.event
async def on_ready():
    print('Logged in as:')
    print('{0.user}'.format(client))

    for cog in cogs:
        client.load_extension(cog)

client.run(token.read())
